=== src_3rd/genprints/Makefile ===
CFLAGS = -Wall -g -std=c89 -ansi -pedantic

example: example.c genprints.h
