=== src/librnd/plugins/hid_gtk2_gl/Makefile ===
all:
	cd ../../.. && $(MAKE) mod_hid_gtk2_gl

clean:
	rm *.o *.so 2>/dev/null ; true
