=== src/librnd/plugins/lib_gtk4_common/Makefile ===
all:
	cd ../../.. && $(MAKE) mod_lib_gtk4_common

clean:
	rm *.o *.so 2>/dev/null ; true
