=== src/librnd/plugins/loghid/Makefile ===
all:
	cd ../../.. && $(MAKE) mod_loghid

clean:
	rm *.o *.so 2>/dev/null ; true
