=== debian/changelog ===
librnd (4.3.2-2) unstable; urgency=medium

  * add -std=c17 to innoculate against gcc 15 changes, closes: #1097265

 -- Bdale Garbee <bdale@gag.com>  Sat, 06 Sep 2025 11:36:29 -0600

librnd (4.3.2-1) unstable; urgency=medium

  * new upstream version

 -- Bdale Garbee <bdale@gag.com>  Wed, 12 Mar 2025 20:39:10 -0600
