=== debian/rules ===
#!/usr/bin/make -f

# treating implicit declarations as errors breaks scconfig, so let's not do
# that until/unless upstream fixes things
export DEB_CFLAGS_MAINT_STRIP=-Werror=implicit-function-declaration

DH_VERBOSE = 1
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# Workaround on exotic archs, probably any 32 bit arch with 64 bit kernel
# see bug #1019729
CFLAGS += -D_LARGE_FILE_SOURCE=1 -D_FILE_OFFSET_BITS=64

# resolve FTBFS with gcc 15 until upstream comes up with a better solution
CFLAGS += -std=c17

%:
ifeq (mipsel,$(findstring mipsel,$(DEB_HOST_ARCH)))
	dh $@ --no-parallel
else ifeq (mips64el,$(findstring mips64el,$(DEB_HOST_ARCH)))
	dh $@ --no-parallel
else
	dh $@
endif

override_dh_auto_clean:
	# only try to run dh_auto_clean if configure has been run
	test -f Makefile.conf && dh_auto_clean || true

override_dh_auto_configure:
	./configure \
		--LDFLAGS='$(LDFLAGS)' \
		--CFLAGS='$(CFLAGS) $(CPPFLAGS)' \
		\
		--symbols \
		--prefix=/usr \
		\
		--all=disable \
		--buildin-script \
		--buildin-diag_rnd \
		--buildin-lib_gensexpr \
		--buildin-hid_batch \
		--buildin-lib_portynet \
		--buildin-lib_exp_text \
		--buildin-import_pixmap_pnm \
		--plugin-lib_hid_gl \
		--plugin-lib_wget \
		--plugin-lib_gtk4_common \
		--plugin-lib_hid_common \
		--plugin-import_pixmap_gd \
		--plugin-hid_lesstif \
		--plugin-hid_gtk4_gl \
		--plugin-irc \
		--plugin-lib_exp_pixmap \
