=== src_3rd/genfip/Makefile ===
PREFIX=/usr/local
INCDIR=$(install_root)$(DESTDIR)$(PREFIX)/include/genfip
CP=cp
MKDIR=mkdir -p
LN=ln -sf

all:

install_:
	$(MKDIR) $(INCDIR)
	$(CP) `pwd`/big.h         $(INCDIR)/big.h
	$(CP) `pwd`/config.h      $(INCDIR)/config.h
	$(CP) `pwd`/fip11.h       $(INCDIR)/fip11.h
	$(CP) `pwd`/fip_implc.h   $(INCDIR)/fip_implc.h
	$(CP) `pwd`/fip_implh.h   $(INCDIR)/fip_implh.h
	$(CP) `pwd`/fip_mpi.h     $(INCDIR)/fip_mpi.h
	$(CP) `pwd`/fip_undef.h   $(INCDIR)/fip_undef.h
	$(CP) `pwd`/rational.h    $(INCDIR)/rational.h

uninstall:
	$(RM)   $(INCDIR)/big.h
	$(RM)   $(INCDIR)/config.h
	$(RM)   $(INCDIR)/fip11.h
	$(RM)   $(INCDIR)/fip_implc.h
	$(RM)   $(INCDIR)/fip_implh.h
	$(RM)   $(INCDIR)/fip_mpi.h
	$(RM)   $(INCDIR)/fip_undef.h
	$(RM)   $(INCDIR)/rational.h

install:
	make install_ CP="$(CP)" MKDIR="$(MKDIR)"

linstall:
	make install_ CP="$(LN)" MKDIR="$(MKDIR)"
