=== debian/changelog ===
librnd (4.4.0-1) unstable; urgency=medium

  * new upstream version, with gcc 15 support

 -- Bdale Garbee <bdale@gag.com>  Wed, 24 Sep 2025 22:29:36 -0300
