=== debian/control ===
Source: librnd
Section: electronics
Priority: optional
Maintainer: Debian Electronics Team <pkg-electronics-devel@lists.alioth.debian.org>
Uploaders: Bdale Garbee <bdale@gag.com>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 11), imagemagick, libgd-dev, libmotif-dev, libstroke0-dev, libgenht1-dev, libfungw-dev, libgtk-4-dev, libepoxy-dev, libglu1-mesa-dev | libglu-dev
Standards-Version: 4.5.1
Homepage: http://repo.hu/projects/librnd
Vcs-Git: https://salsa.debian.org/electronics-team/ringdove-eda/librnd.git
Vcs-Browser: https://salsa.debian.org/electronics-team/ringdove-eda/librnd

Package: librnd4t64
Provides: ${t64:Provides}
Replaces: librnd4
Breaks: librnd4 (<< ${source:Version})
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Ringdove 2D CAD library framework
 librnd is a modular framework library for 2D CAD applications. It
 provides the following built-in features:
   - hierarchic configuration files
   - flexible menu and hotkey system
   - HID API for CLI/GUI frontend
   - multi-layer rendering support
   - interactive drawing tool infrastructure
   - action infrastructure
   - polygon clipping
   - turing complete user scripting
 .
 Supported via plugins:
   - CLI/batch frontend
   - gtk4 frontend with gl hardware accelerated rendering
   - lesstif/motif frontend

Package: librnd4-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (= ${binary:Version}), libgenht1-dev, libfungw-dev
Provides: librnd-dev (= ${binary:Version})
Conflicts: librnd3-dev
Replaces: librnd-dev (<< 4.0.0-1)
Breaks: librnd-dev (<< 4.0.0-1)
Description: Ringdove 2D cad library, files for development.
 Headers, templates, scripts for compiling Ringdove applications.

Package: librnd4-doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Documentation for librnd.
 Developer documentation for using librnd.

Package: librnd4-cloud
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (= ${binary:Version})
Description: Networking plugins for accessing remote resources.
 Support library plugin for 'cloud' footprint/symbol access plugin
 that integrates remote, web access resources like edakrill or
 gedasymbols.org.

Package: librnd4-lib-gui
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (= ${binary:Version})
Description: Support library for building the GUI.
 Provides librnd specific dialog boxes (e.g. fontsel) and top window
 GUI elements.

Package: librnd4-pixmap
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (= ${binary:Version})
Description: Import and export pixmap images.
 Low level support for png/jpeg/gif export plugins, low level import
 pixmap objects using libgd.

Package: librnd4-hid-lesstif
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (= ${binary:Version}), librnd4-lib-gui (= ${binary:Version})
Description: GUI: motif/lesstif, software render
 Lightweight GUI and software rendering using the motif (lesstif)
 toolkit.

Package: librnd4-lib-gl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (= ${binary:Version})
Description: Support library for rendering with opengl.
 Provides plugins for driving an opengl output, rendering the drawing
 on opengl.

Package: librnd4-hid-gtk4-gl
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, librnd4t64 (= ${binary:Version}), librnd4-lib-gui (= ${binary:Version}), librnd4-lib-gl (= ${binary:Version})
Description: GUI: gtk4, opengl
 Hardware accelerated (opengl) rendering on gtk4.
