=== debian/rules ===
--- 
+++ 
@@ -12,9 +12,6 @@
 # Workaround on exotic archs, probably any 32 bit arch with 64 bit kernel
 # see bug #1019729
 CFLAGS += -D_LARGE_FILE_SOURCE=1 -D_FILE_OFFSET_BITS=64
-
-# resolve FTBFS with gcc 15 until upstream comes up with a better solution
-CFLAGS += -std=c17
 
 %:
 ifeq (mipsel,$(findstring mipsel,$(DEB_HOST_ARCH)))
