=== debian/watch ===
version=4
opts=dversionmangle=s/\+repack.*$// \
  http://www.repo.hu/projects/librnd/releases/librnd-(.*)\.tar\.gz
